Security Enhanced Linux Reference Policy

# Layer: system

## Module: libraries

Interfaces

### Description:

Policy for system libraries.

### Interfaces:

files_lib_filetrans_shared_lib( domain , object )

##### Summary

Create an object in lib directories, with the shared libraries type using a type transition. (Deprecated)

##### Description

Create an object in lib directories, with the shared libraries type using a type transition. (Deprecated)

lib_filetrans_shared_lib() should be used instead.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object | The object class of the object being created.

lib_filetrans_shared_lib( domain , object )

##### Summary

Create an object in lib directories, with the shared libraries type using a type transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object | The object class of the object being created.

libs_delete_lib_symlinks( domain )

##### Summary

Delete generic symlinks in library directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_domtrans_ldconfig( domain )

##### Summary

Execute ldconfig in the ldconfig domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_dontaudit_write_lib_dirs( domain )

##### Summary

Do not audit attempts to write to library directories.

##### Description

Do not audit attempts to write to library directories. Typically this is used to quiet attempts to recompile python byte code.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_exec_ld_so( domain )

##### Summary

Execute the dynamic link/loader in the caller's domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_exec_lib_files( domain )

##### Summary

Execute library scripts in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_legacy_use_ld_so( domain )

##### Summary

Use the dynamic link/loader for automatic loading of shared libraries with legacy support.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_legacy_use_shared_libs( domain )

##### Summary

Load and execute functions from shared libraries, with legacy support.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_manage_ld_so( domain )

##### Summary

Create, read, write, and delete the dynamic link/loader.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_manage_lib_dirs( domain )

##### Summary

Create, read, write, and delete library directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_manage_lib_files( domain )

##### Summary

Create, read, write, and delete generic files in library directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_manage_shared_libs( domain )

##### Summary

Create, read, write, and delete shared libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_read_lib_files( domain )

##### Summary

Read files in the library directories, such as static libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_relabel_ld_so( domain )

##### Summary

Relabel to and from the type used for the dynamic link/loader.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_relabel_lib_files( domain )

##### Summary

Relabel to and from the type used for generic lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_relabel_shared_libs( domain )

##### Summary

Relabel to and from the type used for shared libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_relabelto_lib_files( domain )

##### Summary

Relabel files to the type used in library directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_run_ldconfig( domain , role )

##### Summary

Execute ldconfig in the ldconfig domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to allow the ldconfig domain.

libs_rw_ld_so_cache( domain )

##### Summary

Modify the dynamic link/loader's cached listing of shared libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_search_lib( domain )

##### Summary

Search library directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_use_ld_so( domain )

##### Summary

Use the dynamic link/loader for automatic loading of shared libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_use_lib_files( domain )

##### Summary

Load and execute functions from generic lib files as shared libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

libs_use_shared_libs( domain )

##### Summary

Load and execute functions from shared libraries.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return